org.apache.poi.sl.usermodel

## Enum Placeholder

- java.lang.Object
- - java.lang.Enum<Placeholder>
  - - org.apache.poi.sl.usermodel.Placeholder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Placeholder>

      public enum Placeholder
      extends java.lang.Enum<Placeholder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BODY` Body text placeholder shape.
    `CENTERED_TITLE` Center title text placeholder shape.
    `CHART` Graph object placeholder shape.
    `CLIP_ART` Clipart object placeholder shape.
    `CONTENT` Object placeholder shape.
    `DATETIME` Date placeholder shape.
    `DGM` Organization chart object placeholder shape.
    `FOOTER` Footer placeholder shape.
    `HEADER` Header placeholder shape.
    `MEDIA` Media object placeholder shape.
    `NONE` No placeholder shape.
    `PICTURE` Picture object placeholder shape.
    `SLIDE_IMAGE` Slide image placeholder shape.
    `SLIDE_NUMBER` Slide number placeholder shape.
    `SUBTITLE` Sub-title text placeholder shape.
    `TABLE` Table object placeholder shape.
    `TITLE` Title text placeholder shape.
    `VERTICAL_OBJECT` Vertical object placeholder shape.
    `VERTICAL_TEXT_BODY` Vertical body text placeholder shape.
    `VERTICAL_TEXT_TITLE` Vertical title text placeholder shape.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeNotesId`
    `int` | `nativeNotesMasterId`
    `int` | `nativeSlideId`
    `int` | `nativeSlideMasterId`
    `int` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Placeholder` | `lookupNativeNotes(int nativeId)`
    `static Placeholder` | `lookupNativeNotesMaster(int nativeId)`
    `static Placeholder` | `lookupNativeSlide(int nativeId)`
    `static Placeholder` | `lookupNativeSlideMaster(int nativeId)`
    `static Placeholder` | `lookupOoxml(int ooxmlId)`
    `static Placeholder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Placeholder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Placeholder NONE

      No placeholder shape.

    - #### TITLE

          public static final Placeholder TITLE

      Title text placeholder shape.

    - #### BODY

          public static final Placeholder BODY

      Body text placeholder shape.

    - #### CENTERED_TITLE

          public static final Placeholder CENTERED_TITLE

      Center title text placeholder shape.

    - #### SUBTITLE

          public static final Placeholder SUBTITLE

      Sub-title text placeholder shape.

    - #### DATETIME

          public static final Placeholder DATETIME

      Date placeholder shape.

    - #### SLIDE_NUMBER

          public static final Placeholder SLIDE_NUMBER

      Slide number placeholder shape.

    - #### FOOTER

          public static final Placeholder FOOTER

      Footer placeholder shape.

    - #### HEADER

          public static final Placeholder HEADER

      Header placeholder shape.

    - #### CONTENT

          public static final Placeholder CONTENT

      Object placeholder shape.

    - #### CHART

          public static final Placeholder CHART

      Graph object placeholder shape.

    - #### TABLE

          public static final Placeholder TABLE

      Table object placeholder shape.

    - #### CLIP_ART

          public static final Placeholder CLIP_ART

      Clipart object placeholder shape.

    - #### DGM

          public static final Placeholder DGM

      Organization chart object placeholder shape.

    - #### MEDIA

          public static final Placeholder MEDIA

      Media object placeholder shape.

    - #### SLIDE_IMAGE

          public static final Placeholder SLIDE_IMAGE

      Slide image placeholder shape.

    - #### PICTURE

          public static final Placeholder PICTURE

      Picture object placeholder shape.

    - #### VERTICAL_OBJECT

          public static final Placeholder VERTICAL_OBJECT

      Vertical object placeholder shape.

    - #### VERTICAL_TEXT_TITLE

          public static final Placeholder VERTICAL_TEXT_TITLE

      Vertical title text placeholder shape.

    - #### VERTICAL_TEXT_BODY

          public static final Placeholder VERTICAL_TEXT_BODY

      Vertical body text placeholder shape.

  - ### Field Detail

    - #### nativeSlideId

          public final int nativeSlideId

    - #### nativeSlideMasterId

          public final int nativeSlideMasterId

    - #### nativeNotesId

          public final int nativeNotesId

    - #### nativeNotesMasterId

          public final int nativeNotesMasterId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static Placeholder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Placeholder c : Placeholder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Placeholder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### lookupNativeSlide

          public static Placeholder lookupNativeSlide(int nativeId)

    - #### lookupNativeSlideMaster

          public static Placeholder lookupNativeSlideMaster(int nativeId)

    - #### lookupNativeNotes

          public static Placeholder lookupNativeNotes(int nativeId)

    - #### lookupNativeNotesMaster

          public static Placeholder lookupNativeNotesMaster(int nativeId)

    - #### lookupOoxml

          public static Placeholder lookupOoxml(int ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.